<p align="center"><img src="./app/assets/images/SealCircle.png" width="150px" height="150px" alt="aventium softworks"></p>

<h1 align="center">LukiEnLive Launcher</h1>

<em><h5 align="center">(formerly Electron Launcher)</h5></em>

[<p align="center"><img src="https://img.shields.io/github/workflow/status/luki-39/LukiEnLiveLauncher/Build.svg?style=for-the-badge" alt="gh actions">](https://github.com/luki-39/LukiEnLiveLauncher/actions) [<img src="https://img.shields.io/github/downloads/luki-39/LukiEnLiveLauncher/total.svg?style=for-the-badge" alt="downloads">](https://github.com/luki-39/LukiEnLiveLauncher/releases) <img src="https://forthebadge.com/images/badges/winter-is-coming.svg"  height="28px" alt="winter-is-coming"></p>

<p align="center">Join modded servers without worrying about installing Java, Forge, or other mods. We'll handle that for you.</p>

![Screenshot 1](https://i.imgur.com/6o7SmH6.png)
![Screenshot 2](https://i.imgur.com/x3B34n1.png)

## Features

* 🔒 Full account management.
  * Add multiple accounts and easily switch between them.
  * Microsoft (OAuth 2.0) + Mojang (Yggdrasil) authentication fully supported.
  * Credentials are never stored and transmitted directly to Mojang.
* 📂 Efficient asset management.
  * Receive client updates as soon as we release them.
  * Files are validated before launch. Corrupt or incorrect files will be redownloaded.
* ☕ **Automatic Java validation.**
  * If you have an incompatible version of Java installed, we'll install the right one *for you*.
  * You do not need to have Java installed to run the launcher.
* 📰 News feed natively built into the launcher.
* ⚙️ Intuitive settings management, including a Java control panel.
* Supports all of our servers.
  * Switch between server configurations with ease.
  * View the player count of the selected server.
* Automatic updates. That's right, the launcher updates itself.
*  View the status of Mojang's services.

This is not an exhaustive list. Download and install the launcher to gauge all it can do!

#### Need Help? [Check the wiki.][wiki]

#### Like the project? Leave a ⭐ star on the repository!

## Downloads

You can download from [GitHub Releases](https://github.com/luki-39/LukiEnLiveLauncher/releases)

#### Latest Release

[![](https://img.shields.io/github/release/luki-39/LukiEnLiveLauncher.svg?style=flat-square)](https://github.com/luki-39/LukiEnLiveLauncher/releases/latest)

#### Latest Pre-Release
[![](https://img.shields.io/github/release/luki-39/LukiEnLiveLauncher/all.svg?style=flat-square)](https://github.com/luki-39/LukiEnLiveLauncher/releases)

**Supported Platforms**

If you download from the [Releases](https://github.com/luki-39/LukiEnLiveLauncher/releases) tab, select the installer for your system.

| Platform | File |
| -------- | ---- |
| Windows x64 | `LukiEnLive-Launcher-setup-VERSION.exe` |
| macOS x64 | `LukiEnLive-Launcher-setup-VERSION-x64.dmg` |
| macOS arm64 | `LukiEnLive-Launcher-setup-VERSION-arm64.dmg` |
| Linux x64 | `LukiEnLive-Launcher-setup-VERSION.AppImage` |

## Console

To open the console, use the following keybind.

```console
ctrl + shift + i
```

Ensure that you have the console tab selected. Do not paste anything into the console unless you are 100% sure of what it will do. Pasting the wrong thing can expose sensitive information.

#### Export Output to a File

---

## Resources

* [Wiki][wiki]
* [Nebula (Create Distribution.json)][nebula]
* [v2 Rewrite Branch (Inactive)][v2branch]

---

### See you ingame.


[nodejs]: https://nodejs.org/en/ 'Node.js'
[vscode]: https://code.visualstudio.com/ 'Visual Studio Code'
[mainprocess]: https://electronjs.org/docs/tutorial/application-architecture#main-and-renderer-processes 'Main Process'
[rendererprocess]: https://electronjs.org/docs/tutorial/application-architecture#main-and-renderer-processes 'Renderer Process'
[chromedebugger]: https://marketplace.visualstudio.com/items?itemName=msjsdiag.debugger-for-chrome 'Debugger for Chrome'
[discord]: https://discord.gg/zNWUXdt 'Discord'
[wiki]: https://github.com/luki-39/LukiEnLiveLauncherr/wiki 'wiki'
[nebula]: https://github.com/dscalzi/Nebula 'dscalzi/Nebula'
[v2branch]: https://github.com/luki-39/LukiEnLiveLauncher/tree/ts-refactor 'v2 branch'
